%define monodir %{_libdir}
Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		gtk-sharp1
Version: 	1.0.10
Release: 	1
Summary: 	GTK+ and GNOME bindings for Mono
Group: 		System/Libraries
License: 	LGPL
URL: 		http://go-mono.com/sources-latest
Source0: 	http://go-mono.com/sources/%{name}/gtk-sharp-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		gtksharp-libdir.patch
BuildRequires: 	libtool autoconf automake
BuildRequires:  mono-core-devel libxml2-devel libgnomeui-devel
BuildRequires:  librsvg-devel libgtkhtml3-devel vte-devel

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. Gtk#
is a binding to GTK+, the cross platform user interface
toolkit used in GNOME. It includes bindings for Gtk, Atk,
Pango, Gdk, libgnome, libgnomeui and libgnomecanvas. Gtk#
1.x binds GTK+ 2.2.

%package gapi
Group: 		Development/Languages
Summary: 	Glib and GObject C source parser and C generator for managed bindings
Requires: 	perl-XML-LibXML-Common perl-XML-LibXML perl-XML-SAX

%description gapi
This package provides developer tools for the creation and
maintenance of managed bindings to native libraries which utilize
glib and GObject.

%package gapi-devel
Group: 		Development/Libraries
Summary: 	pkgconfig for gapi-sharp
Requires: 	%{name} = %{version}-%{release} pkgconfig

%description gapi-devel
pkgconfig file for gtk-sharp-gapi

%package devel
Group: 		Development/Libraries
Summary: 	pkgconfig file for gtk-sharp
Requires: 	%{name} = %{version}-%{release} pkgconfig

%description devel
pkgconfig file for gtk-sharp

%prep
%setup -q -n gtk-sharp-%{version}
%patch0 -p1 -b .libdir
#autoreconf -f -i
chmod 644 HACKING
chmod 644 glib/glue/error.c

%build
%configure --disable-gda --disable-gnomedb --libdir=%{monodir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install 
rm %{buildroot}%{monodir}/*.*a
chmod 755 %{buildroot}/%{_bindir}/gconfsharp-schemagen.exe
chmod 755 %{buildroot}/%{_bindir}/gapi*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README AUTHORS README.generator
%{_bindir}/gconfsharp*
%{monodir}/*.so
%{monodir}/mono/gac/gtk-sharp/1*/
%{monodir}/mono/gac/a*-sharp/1*/
%{monodir}/mono/gac/gconf-sharp*/1*/
%{monodir}/mono/gac/gdk-sharp/1*/
%{monodir}/mono/gac/glade-sharp/1*
%{monodir}/mono/gac/glib-sharp/1*/
%{monodir}/mono/gac/gnome-sharp/1*/
%{monodir}/mono/gac/pango-sharp/1*/
%{monodir}/mono/gac/rsvg-sharp/1*/
%{monodir}/mono/gac/vte-sharp/1*/
%{monodir}/mono/gtk-sharp/

%files devel
%defattr(-,root,root,-)
%doc HACKING
%{monodir}/pkgconfig/*-sharp.pc

%files gapi
%defattr(-,root,root,-)
%{_bindir}/gapi*
%{_datadir}/gapi

%files gapi-devel
%defattr(-,root,root,-)
%{monodir}/pkgconfig/gapi.pc

%changelog
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.10-1
- Initial release